#ifdef ARC_NONE_GRAPHICS

#include "arc/graphics/spritesheet.h"
#include "arc/math/point.h"
#include <stdio.h>

void ARC_Spritesheet_RenderArea(ARC_Spritesheet *spritesheet, ARC_Rect *sheetBounds, ARC_Renderer *renderer, ARC_Rect *renderBounds){
    printf("No Graphics Backend Selected\n");
}

ARC_Point ARC_Spritesheet_GetSize(ARC_Spritesheet *spritesheet){
    printf("No Graphics Backend Selected\n");
    return (ARC_Point){ 0, 0 };
}

uint32_t *ARC_Spritesheet_GetTileSize(ARC_Spritesheet *spritesheet){
    printf("No Graphics Backend Selected\n");
    return NULL;
}

#endif // !ARC_NONE_GRAPHICS